summaryrefslogtreecommitdiff
path: root/dev-python/wcwidth
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-24 00:35:31 -0500
committerCrucible <crucible@localhost>2026-09-24 00:35:31 -0500
commit083c77aa1472385960eca7c5456a44ff330f6194 (patch)
tree738405dd3caae1ea4f2cef9e89e0e789ee9f4037 /dev-python/wcwidth
parent0bfba5fe509bcae69a88bc8f932be891aae42ee2 (diff)
downloadsrcux-083c77aa1472385960eca7c5456a44ff330f6194.tar.gz
srcux-083c77aa1472385960eca7c5456a44ff330f6194.tar.xz
srcux-083c77aa1472385960eca7c5456a44ff330f6194.zip
Publish srcux candidate 0000000372-20260924-003122
Diffstat (limited to 'dev-python/wcwidth')
-rw-r--r--dev-python/wcwidth/Manifest1
-rw-r--r--dev-python/wcwidth/wcwidth-0.9.1.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/wcwidth/Manifest b/dev-python/wcwidth/Manifest
index 3859429e7db3..16d05b270f7e 100644
--- a/dev-python/wcwidth/Manifest
+++ b/dev-python/wcwidth/Manifest
@@ -1,3 +1,4 @@
DIST wcwidth-0.8.2.tar.gz 1466253 BLAKE2B d71edfcfe3c948090b2a8b454ddc9b701668076cba72fe888a79df06ae0b952d2329c75f27ed086c11c5aa02c68e1058c154d9f4b85f783e2ce5263a6355936d SHA512 5fa3741d4db553d1b06ed1310e01e8a21e696da3489d37a9f45997c279dea494c773e78c2c9d5ad2efb2c8b2e1217170eabc93c76d71167539a04a377595e84b
DIST wcwidth-0.8.3.tar.gz 1458450 BLAKE2B 19a6b8d3fcf0f1d59865860a8efaa7fa14b958ac24b79bc04f9a27988f8fde78497b3ed761e1a7f076a7ab992c71e1d45d088cbb19836d1f73abee6e2f81e5b8 SHA512 d5477dd2a1f6dc6e14dc0e5e34f08b8c78c008ee2390b670155bc163f2c67f1a58ffab2ed35bbe7434d4b4ebef0c91f02cdeae15337d380c28b94858c72692dd
DIST wcwidth-0.8.4.tar.gz 414609 BLAKE2B 492540a34734e65266211b1412a2b6150c8598e46db05ab099e954c57af2c351ff13df09c43f79c4627060ee86c6220014b0f087a5712f3fef10eff63dca1ddb SHA512 29b89f55efc308d1b1b9dd16ef7224964c7c02aa729e2bd6779b0fa56ac2eb89054c29087a4dd410d183294d06f6217451b1ca693b549483fb0b732edb3c6f70
+DIST wcwidth-0.9.1.tar.gz 952410 BLAKE2B d98f75582df5e520676fe5d08b46af6546094455ba3d93d61ebfe07eb7edc10ad37eb35c3825f62d5e09c3b0b872cd15bb38fb8668b02e295debed14f9bb4350 SHA512 b367202fc2abf81a62547cd209658161805cd2eb5e4d42cb46367c0424045af67820bd134265eef8c648e8545e59bf5e74c8e96c516a794bd6e02896d72b9dc5
diff --git a/dev-python/wcwidth/wcwidth-0.9.1.ebuild b/dev-python/wcwidth/wcwidth-0.9.1.ebuild
new file mode 100644
index 000000000000..84dd9c3e323c
--- /dev/null
+++ b/dev-python/wcwidth/wcwidth-0.9.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Measures number of Terminal column cells of wide-character codes"
+HOMEPAGE="
+ https://pypi.org/project/wcwidth/
+ https://github.com/jquast/wcwidth/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="+native-extensions"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+ if ! use native-extensions; then
+ # do not build extension
+ export WCWIDTH_NO_EXTENSION=1
+ # test without extension
+ export WCWIDTH_PYTHON=1
+ fi
+ # make extension builds fatal
+ export CIBUILDWHEEL=1
+}
+
+python_test() {
+ rm -rf wcwidth || die
+ epytest -o addopts=
+}
+
+python_install_all() {
+ docinto docs
+ dodoc docs/intro.rst
+ distutils-r1_python_install_all
+}